Skip to content

Select theme

Projects

GET /{organizationNickname}/projects

Get a list of all projects you have access to within the organization scope.

Header Parameters

Name Description
Authorization String Civillo API Credentials
*required

Sample output

[
{
"id": 1,
"name": "Default Project",
"projectUuid": "282fad27-25be-44a4-9bd4-0cdb8fca26cd",
"projectType": 1,
"archived": false
},
{
"id": 2,
"name": "Second Project",
"projectUuid": "608bf854-286a-49ce-b56b-94161b9338b0",
"projectType": 2,
"archived": false
},
{
"id": 3,
"name": "Another Project",
"projectUuid": "ae2eb141-888b-4a5a-9627-17c3cede22a7",
"projectType": 1,
"archived": true
}
]

GET /{organizationNickname}/projects/{projectId}

Get a specific project

Header Parameters

Name Description
Authorization String Civillo API Credentials
*required

Sample output

{
"id": 1,
"name": "Default Project",
"projectUuid": "282fad27-25be-44a4-9bd4-0cdb8fca26cd",
"projectType": 1,
"archived": false,
"defaultProjection": 4283,
"mapCenter": {
"latitude": -37.7916686960974,
"longitude": 144.93823475364118,
},
"mapZoom": 9
}